Bug 10467 - aic7xxx module causes kernel panic during 6.2 install
aic7xxx module causes kernel panic during 6.2 install
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-03-30 20:13 EST by ckulesa
Modified: 2008-05-01 11:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-19 05:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ckulesa 2000-03-30 20:13:33 EST
System: PCI-less 486 w/83 MHz Pentium overdrive, Micronics systemboard
        32 MB RAM, 1 GB SCSI disk as root partition, SCSI CDROM
        VESA Local Bus, Adaptec 2842 SCSI card, VLB ATI Mach32

During the initial portion of the installation, the installer
is told to use the SCSI CDROM for installation. It inserts
the aic7xxx module, the SCSI devices are probed seemingly normally,
but at the end of the usual 5 second SCSI timeout period:

Kernel Panic: aic7xxx: unrecoverable BRKADRINT
In swapper task -- not syncing

The aic7xxx module loads correctly, without options, in 2.2.12-20, 2.2.13,
and all tested 2.3 kernels up to and including the 2.3.99-pre4 series.
Alan Cox's releases of the 2.2.15-preX series were not tested.

Sanity checks:
A separate boot floppy was created from CDROM, from the files in the
zoot-i386.iso image. All RPM's in the iso image checksum correctly, as does
the MD5 checksum on the entire image. Both boot floppies resulted in the
same kernel panic.

The system is being upgraded to RH 6.2 manually.

Comment 1 cradford 2000-05-19 05:41:59 EDT
I have (verbosely) compiled aic7xxx from 6v0 distribution which works and
compared with 6v2 distribution aic7xxx which fails - the only (reported)
difference being the 6v2 aic7xxx generates the message:
"May 15 19:25:17 duality kernel: enable_irq() unbalanced from c888694a"
before the kernel panic which occurrs immediately after:
"May 15 19:25:17 duality kernel: (scsi1:0:-1:-1) Scanning channel for devices."
I can provide any info required from a Dual Pentium EISA 274x SCSI platform,
email me.
Comment 2 Doug Ledford 2000-06-22 20:28:13 EDT
The current aic7xxx driver version (5.1.31) solves the problems with BRKADRINT
panixs on aic7770 based controllers including the 2842VLB controllers and the
2742 EISA controllers.

Note You need to log in before you can comment on or make changes to this bug.